"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createGetIdentityData = void 0;
var _graphql = require("./graphql");
/**
 * A factory
 */
var createGetIdentityData = exports.createGetIdentityData = function createGetIdentityData() {
  var mutation = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _graphql.LOGIN_ST;
  return async function (_ref) {
    var client = _ref.client;
    var response = await client.mutate({
      mutation: mutation
    });
    var _response$data$securi = response.data.security.login,
      data = _response$data$securi.data,
      error = _response$data$securi.error;
    if (error) {
      throw new Error(error.message);
    }
    return data;
  };
};

//# sourceMappingURL=createGetIdentityData.js.map