"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Components: true,
  Cognito: true,
  CognitoLogin: true
};
Object.defineProperty(exports, "Cognito", {
  enumerable: true,
  get: function get() {
    return _Cognito.Cognito;
  }
});
Object.defineProperty(exports, "CognitoLogin", {
  enumerable: true,
  get: function get() {
    return _CognitoLogin.CognitoLogin;
  }
});
exports.Components = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _appAdminCognito = require("@webiny/app-admin-cognito");
var _createAuthentication = require("./createAuthentication");
Object.keys(_createAuthentication).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createAuthentication[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _createAuthentication[key];
    }
  });
});
var _createGetIdentityData = require("./createGetIdentityData");
Object.keys(_createGetIdentityData).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createGetIdentityData[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _createGetIdentityData[key];
    }
  });
});
var _Cognito = require("./Cognito");
var _CognitoLogin = require("./CognitoLogin");
var _NotAuthorizedError = require("./createAuthentication/NotAuthorizedError");
var Components = exports.Components = (0, _objectSpread2.default)((0, _objectSpread2.default)({}, _appAdminCognito.Components), {}, {
  NotAuthorizedError: _NotAuthorizedError.NotAuthorizedError
});

//# sourceMappingURL=index.js.map