"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SignOut = void 0;
var _react = _interopRequireDefault(require("react"));
var _List = require("@webiny/ui/List");
var _Icon = require("@webiny/ui/Icon");
var _useSecurity2 = require("@webiny/app-security/hooks/useSecurity");
var _roundLock_open24px = require("../../assets/icons/round-lock_open-24px.svg");
var SignOut = exports.SignOut = function SignOut() {
  var _useSecurity = (0, _useSecurity2.useSecurity)(),
    identity = _useSecurity.identity;
  if (!identity) {
    return null;
  }
  if (typeof identity.logout !== "function") {
    console.warn("Missing \"logout\" function implementation in SecurityIdentity!");
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_List.ListItem, {
    onClick: identity.logout
  }, /*#__PURE__*/_react.default.createElement(_List.ListItemGraphic, null, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    icon: /*#__PURE__*/_react.default.createElement(_roundLock_open24px.ReactComponent, null)
  })), "Sign out");
};
var _default = exports.default = function _default() {
  console.log("[DEPRECATED] Import \"@webiny/app-admin-users-cognito/plugins/userMenu/signOut\" is no longer used!");
  return {
    type: "dummy"
  };
};

//# sourceMappingURL=signOut.js.map