"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UsersView = void 0;
var _react = _interopRequireDefault(require("react"));
var _SplitView = require("@webiny/app-admin/components/SplitView");
var _UsersFormView = require("./UsersFormView");
var _UsersDataList = _interopRequireDefault(require("./UsersDataList"));
var _UIView = require("@webiny/app-admin/ui/UIView");
var _appAdmin = require("@webiny/app-admin");
var _IfNotExternalUser = require("./components/IfNotExternalUser");
var UsersView = exports.UsersView = function UsersView() {
  var wcp = (0, _appAdmin.useWcp)();
  var teams = wcp.canUseTeams();
  return /*#__PURE__*/_react.default.createElement(_SplitView.SplitView, null, /*#__PURE__*/_react.default.createElement(_SplitView.LeftPanel, null, /*#__PURE__*/_react.default.createElement(_UsersDataList.default, null)), /*#__PURE__*/_react.default.createElement(_SplitView.RightPanel, null, /*#__PURE__*/_react.default.createElement(_IfNotExternalUser.IfNotExternalUser, null, /*#__PURE__*/_react.default.createElement(_UIView.UIViewComponent, {
    view: new _UsersFormView.UsersFormView({
      teams: teams
    })
  }))));
};

//# sourceMappingURL=UsersView.js.map