import { DocumentNode } from "graphql";
import { ApolloClient } from "apollo-client";
export interface GetIdentityDataCallableParams {
    client: ApolloClient<any>;
}
export interface GetIdentityDataCallableResponse {
    [key: string]: string;
}
export interface GetIdentityDataCallable {
    (params: GetIdentityDataCallableParams): Promise<GetIdentityDataCallableResponse>;
}
export interface CreateGetIdentityDataCallable {
    (mutation?: DocumentNode): GetIdentityDataCallable;
}
/**
 * A factory
 */
export declare const createGetIdentityData: CreateGetIdentityDataCallable;
