"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LOGIN_ST = exports.LOGIN_MT = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _graphqlTag = _interopRequireDefault(require("graphql-tag"));
var _templateObject, _templateObject2;
var LOGIN_MT = exports.LOGIN_MT = (0, _graphqlTag.default)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    mutation Login {\n        security {\n            login {\n                data {\n                    ... on AdminUserIdentity {\n                        id\n                        displayName\n                        type\n                        currentTenant {\n                            id\n                            name\n                            description\n                            parent\n                        }\n                        defaultTenant {\n                            id\n                            name\n                            description\n                            parent\n                        }\n                        permissions\n                        profile {\n                            email\n                            firstName\n                            lastName\n                            avatar\n                            gravatar\n                        }\n                    }\n                }\n                error {\n                    code\n                    message\n                    data\n                }\n            }\n        }\n    }\n"])));
var LOGIN_ST = exports.LOGIN_ST = (0, _graphqlTag.default)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n    mutation Login {\n        security {\n            login {\n                data {\n                    ... on AdminUserIdentity {\n                        id\n                        displayName\n                        type\n                        permissions\n                        profile {\n                            email\n                            firstName\n                            lastName\n                            avatar\n                            gravatar\n                        }\n                    }\n                }\n                error {\n                    code\n                    message\n                    data\n                }\n            }\n        }\n    }\n"])));

//# sourceMappingURL=graphql.js.map