/// <reference types="react" />
export * from "./createAuthentication";
export * from "./createGetIdentityData";
export { Cognito } from "./Cognito";
export { CognitoLogin } from "./CognitoLogin";
export declare const Components: {
    NotAuthorizedError: (() => import("react").JSX.Element) & {
        original: () => import("react").JSX.Element;
        originalName: string;
        displayName: string;
    } & {
        original: (() => import("react").JSX.Element) & {
            original: () => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        };
        originalName: string;
        displayName: string;
    } & {
        createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(() => import("react").JSX.Element) & {
            original: () => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        }>) => (props: unknown) => import("react").JSX.Element;
    } & {
        Image: ({ className, alt }: import("./createAuthentication/NotAuthorizedError/NotAuthorizedError").ImageProps) => import("react").JSX.Element;
    };
    View: {
        Container: (({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element) & {
            original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContainerProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
        Logo: (() => import("react").JSX.Element) & {
            original: () => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (() => import("react").JSX.Element) & {
                original: () => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(() => import("react").JSX.Element) & {
                original: () => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
        Content: (({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element) & {
            original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").ContentProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
        Title: (({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element) & {
            original: ({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element) & {
                original: ({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element) & {
                original: ({ title, description }: import("@webiny/app-admin-cognito/components/View").TitleProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
        Footer: (({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element) & {
            original: ({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/View").FooterProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
    };
    FederatedProviders: {
        Container: (({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element) & {
            original: ({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element;
            originalName: string;
            displayName: string;
        } & {
            original: (({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            };
            originalName: string;
            displayName: string;
        } & {
            createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<(({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element) & {
                original: ({ children }: import("@webiny/app-admin-cognito/components/FederatedProviders").ContainerProps) => import("react").JSX.Element;
                originalName: string;
                displayName: string;
            }>) => (props: unknown) => import("react").JSX.Element;
        };
    };
    SignIn: ((props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null) & {
        original: (props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null;
        originalName: string;
        displayName: string;
    } & {
        original: ((props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null) & {
            original: (props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null;
            originalName: string;
            displayName: string;
        };
        originalName: string;
        displayName: string;
    } & {
        createDecorator: (decorator: import("@webiny/react-composition").ComponentDecorator<((props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null) & {
            original: (props: import("@webiny/app-admin-cognito/views/SignIn").SignInProps) => import("react").JSX.Element | null;
            originalName: string;
            displayName: string;
        }>) => (props: unknown) => import("react").JSX.Element;
    };
};
