"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Accordion = require("@webiny/ui/Accordion");
var _baselineSecurity24px = require("@webiny/app-admin/assets/icons/baseline-security-24px.svg");
var _AdminUsersPermissions = require("./AdminUsersPermissions");
var _PermissionRendererPlugin = require("@webiny/app-admin/plugins/PermissionRendererPlugin");
var _default = exports.default = new _PermissionRendererPlugin.PermissionRendererPlugin({
  render: function render(props) {
    return /*#__PURE__*/_react.default.createElement(_Accordion.AccordionItem, {
      icon: /*#__PURE__*/_react.default.createElement(_baselineSecurity24px.ReactComponent, null),
      title: "Admin Users",
      description: "Manage Admin Users access permissions.",
      "data-testid": "permission.adminUsers"
    }, /*#__PURE__*/_react.default.createElement(_AdminUsersPermissions.AdminUsersPermissions, props));
  }
});

//# sourceMappingURL=index.js.map