import React from "react";
interface UserInfoProps {
    /**
     * Provide a route to the user's account view.
     * It is optional, because in reality, only Cognito allows you to update your profile, and only when Webiny is managing
     * those Cognito identities. If Cognito uses federated identity providers, you won't be able to update your account at all.
     */
    accountRoute?: `/${string}`;
}
export declare const UserInfo: ({ accountRoute }: UserInfoProps) => React.JSX.Element | null;
declare const _default: () => {
    type: string;
};
export default _default;
