"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _appAdmin = require("@webiny/app-admin");
var getImagePreviewStyles = function getImagePreviewStyles(round) {
  return {
    width: 150,
    height: 150,
    borderRadius: round ? "50%" : "unset",
    objectFit: "cover"
  };
};
var AvatarImage = function AvatarImage(props) {
  return /*#__PURE__*/React.createElement(_appAdmin.SingleImageUpload, Object.assign({}, props, {
    imagePreviewProps: {
      transform: {
        width: 300
      },
      style: getImagePreviewStyles(props.round || false)
    }
  }));
};
var _default = exports.default = AvatarImage;

//# sourceMappingURL=AvatarImage.js.map