"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPDATE_CURRENT_USER = exports.GET_CURRENT_USER = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _graphqlTag = _interopRequireDefault(require("graphql-tag"));
var _templateObject, _templateObject2;
var currentUserFields = /* GraphQL */"\n    {\n        id\n        email\n        firstName\n        lastName\n        avatar\n        external\n    }\n";
var GET_CURRENT_USER = exports.GET_CURRENT_USER = (0, _graphqlTag.default)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    query GetCurrentUser {\n        adminUsers {\n            user: getCurrentUser {\n                data ", "\n                error {\n                    code\n                    message\n                }\n            }\n        }\n    }\n"])), currentUserFields);
var UPDATE_CURRENT_USER = exports.UPDATE_CURRENT_USER = (0, _graphqlTag.default)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n    mutation UpdateCurrentUser($data: AdminUsersCurrentUserInput!) {\n        adminUsers {\n            updateCurrentUser(data: $data) {\n                data ", "\n                error {\n                    code\n                    message\n                    data\n                }\n            }\n        }\n    }\n"])), currentUserFields);

//# sourceMappingURL=graphql.js.map