import { UIView } from "@webiny/app-admin/ui/UIView";
import { FormAPI, GenericFormData } from "@webiny/form";
import { UseUserForm } from "./hooks/useUserForm";
interface UsersFormViewParams {
    teams?: boolean;
}
export declare class UsersFormView extends UIView {
    teams: boolean;
    constructor(params: UsersFormViewParams);
    getUserFormHook(): UseUserForm;
    submit(data: GenericFormData, form?: FormAPI): void;
    onSubmit(cb: (data: any, form: FormAPI) => void): void;
    private addElements;
}
export {};
