export type UseUserForm = ReturnType<typeof useUserForm>;
interface SubmitUserCallableParams {
    id?: string;
}
interface SubmitUserCallable {
    (data: SubmitUserCallableParams): Promise<void>;
}
export declare function useUserForm(): {
    id: string | null;
    loading: boolean;
    user: any;
    onSubmit: SubmitUserCallable;
    isNewUser: boolean;
    fullName: string;
    showEmptyView: boolean;
    createUser(): void;
    cancelEditing(): void;
};
export {};
